# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Class/XSAccessor.pm) perl(Cwd.pm) perl(Data/Printer.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp/Tiny.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(JSON.pm) perl(JSON/Tiny.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(MetaCPAN/Client.pm) perl(Module/Build.pm) perl(Module/CoreList.pm) perl(Moo.pm) perl(Net/FTP.pm) perl(PPI.pm) perl(PPI/XS.pm) perl(Parse/CPAN/Meta.pm) perl(Perl/MinimumVersion.pm) perl(Perl/PrereqScanner.pm) perl(Pod/Usage.pm) perl(Term/ANSIColor.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Test/Requires.pm) perl(Tie/Static.pm) perl(Time/Stamp.pm) perl(Try/Tiny.pm) perl(Type/Tiny.pm) perl(YAML/Tiny.pm) perl(constant.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version 0.34
%define module_name App-Midgen
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.34
Release: alt1
Summary: Check B<RuntimeRequires> & B<TestRequires> of your package for CPAN inclusion.
Group: Development/Perl
License: perl
URL: https://github.com/kevindawson/App-Midgen

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BO/BOWTIE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is an aid to show your packages module includes by scanning it's files,
 then display in a familiar format with the current version number
 from MetaCPAN.

This started as a way of generating the formatted contents for
 a Module::Install::DSL Makefile.PL, which has now grown to support other
 output formats, as well as the ability to show dual-life and
 perl core modules, see the midgen manpage for option info.
This enables you to see which modules you have used, we even try and list Dist-Zilla Plugins.

All output goes to STDOUT, so you can use it as you see fit.

MetaCPAN Version Number Displayed

=over 4

=item * NN.nnnnnn we got the current version number from MetaCPAN.

=item * 'core' indicates the module is a perl core module.

=item * '!mcpan' must be local, one of yours. Not in MetaCPAN, Not in core.

=back

*Food for thought, if we update our Modules,
don't we want our users to use the current version,
so should we not by default do the same with others Modules.
Thus we always show the current version number, regardless.*

We also display some other complementary information relevant to this package
and your chosen output format.

For more info and sample output see wiki


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*
%_bindir/*
%_man1dir/*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1
- initial import by package builder

